@import 'variables';
@import 'mixins';
contracts {
    width: 100%;
}

.assets-main-container {
    max-width: 100%;
    max-width: 65rem;
    /*Maximum width for Huge screens*/
    md-input {
        overflow: visible;
        .md-input-table .md-input-element {
            font-size: 85%;
        }
    }
    .assets-header md-toolbar {
        //background: transparent url('../../images/overview-header.jpg') no-repeat center center / cover;
        md-toolbar-row {
            justify-content: space-between;
            .assets-btn-holder {
                background-color: $color-white;
                .action-btn {
                    color: $primary-text;
                    display: block;
                    padding: 5px 10px;
                    &:hover, &:focus {
                    	opacity: .6;
                    }
                }
                .upload-cloud {
                    width: 2em;
                    margin: 0 .2em;
                }
            }
        }
        .assets-header-title,
        .assets-header-subtitle {
            margin: 0;
            padding: 0;
            color: $inverse-text;
            span {
                margin-right: 1rem;
            }
        }
    }
    .asset-info-switcher {
        .asset-info-list {
            list-style: none;
            padding-left: 0;
            margin: 0;
            li {
                padding: 0;
                border: 1px solid $border-color;
                border-right: 0 none;
                &:first-child {
                    border-top-left-radius: 5px;
                    border-bottom-left-radius: 5px;
                }
                &:last-child {
                    border: 1px solid $border-color;
                    border-top-right-radius: 5px;
                    border-bottom-right-radius: 5px;
                }
                a {
                    padding: 0 8px;
                    text-decoration: none;
                    color: $primary-text;
                    font-weight: $light-font-weight;
                    &.active,
                    &:focus,
                    &:hover {
                        background-color: $active-link-bg;
                    }
                }
            }
        }
    }
    .information-card {
        .img-holder {
            .main-asset-holder {
                a {
                    display: block;
                    width: 100%;
                    img {
                        width: 100%;
                    }
                }
            }
            .assets-thumbs-holder {
                margin-top: 1rem;
                img {
                    min-height: 60px;
                    margin-right: 1rem;
                }
                img:last-child {
                    margin-right: 0;
                }
            }
        }
    }
    .finance-card {
        md-toolbar.secondary-toolbar {
            h2,
            p {
                margin: 0;
                text-align: center;
                color: $inverse-text;
            }
        }
        md-card-content {
            md-divider {
                margin: 5px 0;
            }
            .info-column {
                padding: 8px 16px;
            }
        }
    }
}
